[arch-commits] Commit in mongodb/repos (12 files)

Evangelos Foutras foutrelis at archlinux.org
Thu Nov 6 10:42:09 UTC 2014


    Date: Thursday, November 6, 2014 @ 11:42:09
  Author: foutrelis
Revision: 122045

archrelease: copy trunk to community-staging-i686, community-staging-x86_64

Added:
  mongodb/repos/community-staging-i686/
  mongodb/repos/community-staging-i686/PKGBUILD
    (from rev 122044, mongodb/trunk/PKGBUILD)
  mongodb/repos/community-staging-i686/SConscript.client.patch
    (from rev 122044, mongodb/trunk/SConscript.client.patch)
  mongodb/repos/community-staging-i686/mongodb.conf
    (from rev 122044, mongodb/trunk/mongodb.conf)
  mongodb/repos/community-staging-i686/mongodb.install
    (from rev 122044, mongodb/trunk/mongodb.install)
  mongodb/repos/community-staging-i686/mongodb.service
    (from rev 122044, mongodb/trunk/mongodb.service)
  mongodb/repos/community-staging-x86_64/
  mongodb/repos/community-staging-x86_64/PKGBUILD
    (from rev 122044, mongodb/trunk/PKGBUILD)
  mongodb/repos/community-staging-x86_64/SConscript.client.patch
    (from rev 122044, mongodb/trunk/SConscript.client.patch)
  mongodb/repos/community-staging-x86_64/mongodb.conf
    (from rev 122044, mongodb/trunk/mongodb.conf)
  mongodb/repos/community-staging-x86_64/mongodb.install
    (from rev 122044, mongodb/trunk/mongodb.install)
  mongodb/repos/community-staging-x86_64/mongodb.service
    (from rev 122044, mongodb/trunk/mongodb.service)

--------------------------------------------------+
 community-staging-i686/PKGBUILD                  |   95 +++++++++++++++++++++
 community-staging-i686/SConscript.client.patch   |   13 ++
 community-staging-i686/mongodb.conf              |    8 +
 community-staging-i686/mongodb.install           |   32 +++++++
 community-staging-i686/mongodb.service           |   10 ++
 community-staging-x86_64/PKGBUILD                |   95 +++++++++++++++++++++
 community-staging-x86_64/SConscript.client.patch |   13 ++
 community-staging-x86_64/mongodb.conf            |    8 +
 community-staging-x86_64/mongodb.install         |   32 +++++++
 community-staging-x86_64/mongodb.service         |   10 ++
 10 files changed, 316 insertions(+)

Copied: mongodb/repos/community-staging-i686/PKGBUILD (from rev 122044, mongodb/trunk/PKGBUILD)
===================================================================
--- community-staging-i686/PKGBUILD	                        (rev 0)
+++ community-staging-i686/PKGBUILD	2014-11-06 10:42:09 UTC (rev 122045)
@@ -0,0 +1,95 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Sven-Hendrik Haase <sh at lutzhaase.com>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: Mathias Stearn <mathias at 10gen.com>
+# Contributor: Alec Thomas
+
+pkgname=mongodb
+pkgver=2.6.5
+pkgrel=2
+pkgdesc='A high-performance, open source, schema-free document-oriented database'
+arch=('i686' 'x86_64')
+url='http://www.mongodb.org'
+license=('AGPL3')
+depends=('pcre' 'snappy' 'openssl' 'gperftools' 'libsasl' 'boost-libs') # 'libyaml' 'yaml-cpp' 'v8')
+makedepends=('scons' 'readline' 'ncurses' 'libpcap' 'boost' 'clang')
+checkdepends=('python2-pymongo')
+optdepends=('libpcap: needed for mongosniff')
+backup=('etc/mongodb.conf')
+install=mongodb.install
+source=("http://downloads.mongodb.org/src/mongodb-src-r${pkgver}.tar.gz"
+        'mongodb.conf' 'mongodb.service')
+
+prepare() {
+  cd mongodb-src-r${pkgver}
+
+  # Add missing include required for std::swap()
+  # https://github.com/mongodb/mongo/commit/2d5d662
+  if grep -q '#include <algorithm>' src/mongo/shell/linenoise_utf8.h; then
+    error '<algorithm> include has been fixed upstream; remove this local fix.'
+    return 1
+  fi
+  sed -i '1i #include <algorithm>' src/mongo/shell/linenoise_utf8.h
+}
+
+build() {
+  export SCONSFLAGS="$MAKEFLAGS"
+
+  cd mongodb-src-r${pkgver}
+
+  scons all \
+    --use-system-pcre \
+    --use-system-snappy \
+    --use-system-tcmalloc \
+    --use-sasl-client \
+    --use-system-boost \
+    --ssl --cc=clang --cxx=clang++ \
+    --disable-warnings-as-errors
+    # --use-system-v8
+    # --use-system-yaml
+}
+
+check() {
+  # Tests not passing
+  export SCONSFLAGS="$MAKEFLAGS"
+
+  cd mongodb-src-r${pkgver}
+
+  scons smokeAll \
+    --use-system-pcre \
+    --use-system-snappy \
+    --use-system-tcmalloc \
+    --use-sasl-client \
+    --use-system-boost \
+    --ssl --cc=clang --cxx=clang++ \
+    --disable-warnings-as-errors \
+    --smokedbprefix="$srcdir" || warning "Tests failed"
+}
+
+package() {
+  export SCONSFLAGS="$MAKEFLAGS"
+
+  cd mongodb-src-r${pkgver}
+
+  scons install \
+    --use-system-pcre \
+    --use-system-snappy \
+    --use-system-tcmalloc \
+    --use-sasl-client \
+    --use-system-boost \
+    --ssl --cc=clang --cxx=clang++ \
+    --disable-warnings-as-errors \
+    --prefix="$pkgdir/usr"
+    # --use-system-yaml
+    # --use-system-v8
+
+  install -Dm644 "$srcdir/mongodb.conf" "$pkgdir/etc/mongodb.conf"
+  install -Dm644 "$srcdir/mongodb.service" "$pkgdir/usr/lib/systemd/system/mongodb.service"
+  install -dm700 "$pkgdir/var/lib/mongodb"
+  install -dm755 "$pkgdir/var/log/mongodb"
+}
+
+sha512sums=('eccf6e949fba7cca3f7401fa64c1135282d323222d2b9e53554a83748389b76b3791c5228943ef3e1064211f7fe9f8d68ce4209994dbd8065894b64a9b392f76'
+            '05dead727d3ea5fe8af1a3c3888693f6b3e2b8cb7f197a5d793352e10d2c524e96c9a5c55ad2e88c1114643a9612ec0b26a2574b48a5260a9b51ec8941461f1c'
+            '177251404b2e818ae2b546fe8b13cb76e348c99e85c7bef22a04b0f07b600fd515a309ede50214f4198594388a6d2b31f46e945b9dae84aabb4dfa13b1123bb9')

Copied: mongodb/repos/community-staging-i686/SConscript.client.patch (from rev 122044, mongodb/trunk/SConscript.client.patch)
===================================================================
--- community-staging-i686/SConscript.client.patch	                        (rev 0)
+++ community-staging-i686/SConscript.client.patch	2014-11-06 10:42:09 UTC (rev 122045)
@@ -0,0 +1,13 @@
+diff --git a/src/SConscript.client b/src/SConscript.client
+index 7a6bdc9..3fb55e5 100644
+--- a/src/SConscript.client
++++ b/src/SConscript.client
+@@ -134,7 +134,7 @@ env.Install(
+ # install
+ prefix = GetOption("prefix")
+ 
+-env.Install(prefix + "/lib", '${LIBPREFIX}mongoclient${LIBSUFFIX}')
++env.InstallAs(prefix + "/lib", '${LIBPREFIX}mongoclient${LIBSUFFIX}')
+ 
+ for x in clientHeaderDirectories:
+     env.Install(prefix + "/include/mongo/" + x,

Copied: mongodb/repos/community-staging-i686/mongodb.conf (from rev 122044, mongodb/trunk/mongodb.conf)
===================================================================
--- community-staging-i686/mongodb.conf	                        (rev 0)
+++ community-staging-i686/mongodb.conf	2014-11-06 10:42:09 UTC (rev 122045)
@@ -0,0 +1,8 @@
+# See http://www.mongodb.org/display/DOCS/File+Based+Configuration for format details
+# Run mongod --help to see a list of options
+
+bind_ip = 127.0.0.1
+quiet = true
+dbpath = /var/lib/mongodb
+logpath = /var/log/mongodb/mongod.log
+logappend = true

Copied: mongodb/repos/community-staging-i686/mongodb.install (from rev 122044, mongodb/trunk/mongodb.install)
===================================================================
--- community-staging-i686/mongodb.install	                        (rev 0)
+++ community-staging-i686/mongodb.install	2014-11-06 10:42:09 UTC (rev 122045)
@@ -0,0 +1,32 @@
+# vim: syntax=sh
+
+post_install() {
+  useradd -r -g daemon -d /var/lib/mongodb -s /bin/bash mongodb
+  chown -R mongodb:daemon /var/lib/mongodb
+  chown -R mongodb:daemon /var/log/mongodb
+
+  if [ "$(uname -m)" != "x86_64" ]
+  then
+    echo '==> Warning: the 32 bit version of MongoDB is limited to about 2GB of data.'
+    echo '==> See http://blog.mongodb.org/post/137788967/32-bit-limitations'
+  fi
+}
+
+post_upgrade() {
+  chown -R mongodb:daemon /var/lib/mongodb
+  chown -R mongodb:daemon /var/log/mongodb
+
+  if [ "$(vercmp $2 1.8.2-3)" -lt 0 ]
+  then
+    # have to fix my fudge up in 1.8.2-2 and 1.8.2-3
+    # added july 5th, 2011
+    usermod -s /bin/bash mongodb >& /dev/null
+    echo 'The dbpath has changed from /var/state/mongodb to /var/lib/mongodb'
+    echo 'Make sure you move your data files to the new dbpath before you start/restart mongodb'
+    echo 'The logpath has changed from /var/log/mongod to /var/log/mongodb/mongod.log'
+  fi
+}
+
+pre_remove() {
+  userdel mongodb
+}

Copied: mongodb/repos/community-staging-i686/mongodb.service (from rev 122044, mongodb/trunk/mongodb.service)
===================================================================
--- community-staging-i686/mongodb.service	                        (rev 0)
+++ community-staging-i686/mongodb.service	2014-11-06 10:42:09 UTC (rev 122045)
@@ -0,0 +1,10 @@
+[Unit]
+Description=High-performance, schema-free document-oriented database
+After=network.target
+
+[Service]
+User=mongodb
+ExecStart=/usr/bin/mongod --quiet --config /etc/mongodb.conf
+
+[Install]
+WantedBy=multi-user.target

Copied: mongodb/repos/community-staging-x86_64/PKGBUILD (from rev 122044, mongodb/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2014-11-06 10:42:09 UTC (rev 122045)
@@ -0,0 +1,95 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Sven-Hendrik Haase <sh at lutzhaase.com>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: Mathias Stearn <mathias at 10gen.com>
+# Contributor: Alec Thomas
+
+pkgname=mongodb
+pkgver=2.6.5
+pkgrel=2
+pkgdesc='A high-performance, open source, schema-free document-oriented database'
+arch=('i686' 'x86_64')
+url='http://www.mongodb.org'
+license=('AGPL3')
+depends=('pcre' 'snappy' 'openssl' 'gperftools' 'libsasl' 'boost-libs') # 'libyaml' 'yaml-cpp' 'v8')
+makedepends=('scons' 'readline' 'ncurses' 'libpcap' 'boost' 'clang')
+checkdepends=('python2-pymongo')
+optdepends=('libpcap: needed for mongosniff')
+backup=('etc/mongodb.conf')
+install=mongodb.install
+source=("http://downloads.mongodb.org/src/mongodb-src-r${pkgver}.tar.gz"
+        'mongodb.conf' 'mongodb.service')
+
+prepare() {
+  cd mongodb-src-r${pkgver}
+
+  # Add missing include required for std::swap()
+  # https://github.com/mongodb/mongo/commit/2d5d662
+  if grep -q '#include <algorithm>' src/mongo/shell/linenoise_utf8.h; then
+    error '<algorithm> include has been fixed upstream; remove this local fix.'
+    return 1
+  fi
+  sed -i '1i #include <algorithm>' src/mongo/shell/linenoise_utf8.h
+}
+
+build() {
+  export SCONSFLAGS="$MAKEFLAGS"
+
+  cd mongodb-src-r${pkgver}
+
+  scons all \
+    --use-system-pcre \
+    --use-system-snappy \
+    --use-system-tcmalloc \
+    --use-sasl-client \
+    --use-system-boost \
+    --ssl --cc=clang --cxx=clang++ \
+    --disable-warnings-as-errors
+    # --use-system-v8
+    # --use-system-yaml
+}
+
+check() {
+  # Tests not passing
+  export SCONSFLAGS="$MAKEFLAGS"
+
+  cd mongodb-src-r${pkgver}
+
+  scons smokeAll \
+    --use-system-pcre \
+    --use-system-snappy \
+    --use-system-tcmalloc \
+    --use-sasl-client \
+    --use-system-boost \
+    --ssl --cc=clang --cxx=clang++ \
+    --disable-warnings-as-errors \
+    --smokedbprefix="$srcdir" || warning "Tests failed"
+}
+
+package() {
+  export SCONSFLAGS="$MAKEFLAGS"
+
+  cd mongodb-src-r${pkgver}
+
+  scons install \
+    --use-system-pcre \
+    --use-system-snappy \
+    --use-system-tcmalloc \
+    --use-sasl-client \
+    --use-system-boost \
+    --ssl --cc=clang --cxx=clang++ \
+    --disable-warnings-as-errors \
+    --prefix="$pkgdir/usr"
+    # --use-system-yaml
+    # --use-system-v8
+
+  install -Dm644 "$srcdir/mongodb.conf" "$pkgdir/etc/mongodb.conf"
+  install -Dm644 "$srcdir/mongodb.service" "$pkgdir/usr/lib/systemd/system/mongodb.service"
+  install -dm700 "$pkgdir/var/lib/mongodb"
+  install -dm755 "$pkgdir/var/log/mongodb"
+}
+
+sha512sums=('eccf6e949fba7cca3f7401fa64c1135282d323222d2b9e53554a83748389b76b3791c5228943ef3e1064211f7fe9f8d68ce4209994dbd8065894b64a9b392f76'
+            '05dead727d3ea5fe8af1a3c3888693f6b3e2b8cb7f197a5d793352e10d2c524e96c9a5c55ad2e88c1114643a9612ec0b26a2574b48a5260a9b51ec8941461f1c'
+            '177251404b2e818ae2b546fe8b13cb76e348c99e85c7bef22a04b0f07b600fd515a309ede50214f4198594388a6d2b31f46e945b9dae84aabb4dfa13b1123bb9')

Copied: mongodb/repos/community-staging-x86_64/SConscript.client.patch (from rev 122044, mongodb/trunk/SConscript.client.patch)
===================================================================
--- community-staging-x86_64/SConscript.client.patch	                        (rev 0)
+++ community-staging-x86_64/SConscript.client.patch	2014-11-06 10:42:09 UTC (rev 122045)
@@ -0,0 +1,13 @@
+diff --git a/src/SConscript.client b/src/SConscript.client
+index 7a6bdc9..3fb55e5 100644
+--- a/src/SConscript.client
++++ b/src/SConscript.client
+@@ -134,7 +134,7 @@ env.Install(
+ # install
+ prefix = GetOption("prefix")
+ 
+-env.Install(prefix + "/lib", '${LIBPREFIX}mongoclient${LIBSUFFIX}')
++env.InstallAs(prefix + "/lib", '${LIBPREFIX}mongoclient${LIBSUFFIX}')
+ 
+ for x in clientHeaderDirectories:
+     env.Install(prefix + "/include/mongo/" + x,

Copied: mongodb/repos/community-staging-x86_64/mongodb.conf (from rev 122044, mongodb/trunk/mongodb.conf)
===================================================================
--- community-staging-x86_64/mongodb.conf	                        (rev 0)
+++ community-staging-x86_64/mongodb.conf	2014-11-06 10:42:09 UTC (rev 122045)
@@ -0,0 +1,8 @@
+# See http://www.mongodb.org/display/DOCS/File+Based+Configuration for format details
+# Run mongod --help to see a list of options
+
+bind_ip = 127.0.0.1
+quiet = true
+dbpath = /var/lib/mongodb
+logpath = /var/log/mongodb/mongod.log
+logappend = true

Copied: mongodb/repos/community-staging-x86_64/mongodb.install (from rev 122044, mongodb/trunk/mongodb.install)
===================================================================
--- community-staging-x86_64/mongodb.install	                        (rev 0)
+++ community-staging-x86_64/mongodb.install	2014-11-06 10:42:09 UTC (rev 122045)
@@ -0,0 +1,32 @@
+# vim: syntax=sh
+
+post_install() {
+  useradd -r -g daemon -d /var/lib/mongodb -s /bin/bash mongodb
+  chown -R mongodb:daemon /var/lib/mongodb
+  chown -R mongodb:daemon /var/log/mongodb
+
+  if [ "$(uname -m)" != "x86_64" ]
+  then
+    echo '==> Warning: the 32 bit version of MongoDB is limited to about 2GB of data.'
+    echo '==> See http://blog.mongodb.org/post/137788967/32-bit-limitations'
+  fi
+}
+
+post_upgrade() {
+  chown -R mongodb:daemon /var/lib/mongodb
+  chown -R mongodb:daemon /var/log/mongodb
+
+  if [ "$(vercmp $2 1.8.2-3)" -lt 0 ]
+  then
+    # have to fix my fudge up in 1.8.2-2 and 1.8.2-3
+    # added july 5th, 2011
+    usermod -s /bin/bash mongodb >& /dev/null
+    echo 'The dbpath has changed from /var/state/mongodb to /var/lib/mongodb'
+    echo 'Make sure you move your data files to the new dbpath before you start/restart mongodb'
+    echo 'The logpath has changed from /var/log/mongod to /var/log/mongodb/mongod.log'
+  fi
+}
+
+pre_remove() {
+  userdel mongodb
+}

Copied: mongodb/repos/community-staging-x86_64/mongodb.service (from rev 122044, mongodb/trunk/mongodb.service)
===================================================================
--- community-staging-x86_64/mongodb.service	                        (rev 0)
+++ community-staging-x86_64/mongodb.service	2014-11-06 10:42:09 UTC (rev 122045)
@@ -0,0 +1,10 @@
+[Unit]
+Description=High-performance, schema-free document-oriented database
+After=network.target
+
+[Service]
+User=mongodb
+ExecStart=/usr/bin/mongod --quiet --config /etc/mongodb.conf
+
+[Install]
+WantedBy=multi-user.target


More information about the arch-commits mailing list